package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.app.domain.AppVersion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author c liu
 * @date 2023/12/11
 */
@Mapper
public interface AppMapper {

    /**
     * 查询当日领料数量
     * @param startTime
     * @param endTime
     * @return int
     */
    int getDayLeaseNum(@Param("startTime") String startTime, @Param("endTime")String endTime);

    /**
     * 查询当日退料数量
     * @param startTime
     * @param endTime
     * @return
     */
    int getDayBackNum(@Param("startTime") String startTime, @Param("endTime")String endTime);

    /**
     * 查询当日出库数量
     * @param startTime
     * @param endTime
     * @return
     */
    int getDayInputNum(@Param("startTime") String startTime, @Param("endTime")String endTime);

    /**
     * 查询当日入库数量
     * @param startTime
     * @param endTime
     * @return
     */
    int getDayOutNum(@Param("startTime") String startTime, @Param("endTime")String endTime);

    /**
     * 领料待审批数量
     * @return
     */
    int getLeaseNum();
    /**
     * 退料待审批数量
     * @return
     */
    int getBackNum();
    /**
     * 报废待审批数量
     * @return
     */
    int getScrapNum();
    /**
     * 试验检验待审批数量
     * @return
     */
    int getTrialNum();

    /**
     * 获取app版本信息
     * @param
     * @return List<AppVersion>
     */
    List<AppVersion> getVersion();
}
